summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
authorChris Deligeorgis <[email protected]>2021-08-26 12:08:48 +0200
committerGitHub <[email protected]>2021-08-26 12:08:48 +0200
commitcfefddde9e9376e68ad8fcad3b1cf8cf139456e6 (patch)
tree7e0f7fc28acca999970897d640145551c59bd4c8 /utils
parent291c8bb5bd894b4da7c9e684915348a094a13aae (diff)
Add a fallback for "ensurepip" on Debian based distros (#1396)
Diffstat (limited to 'utils')
-rwxr-xr-xutils/installer/install.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/utils/installer/install.sh b/utils/installer/install.sh
index 28ed990c..355b0ecc 100755
--- a/utils/installer/install.sh
+++ b/utils/installer/install.sh
@@ -171,8 +171,10 @@ function install_nodejs_deps() {
function install_python_deps() {
echo "Verifying that pip is available.."
if ! python3 -m ensurepip &>/dev/null; then
- print_missing_dep_msg "pip"
- exit 1
+ if ! command -v pip3 &>/dev/null; then
+ print_missing_dep_msg "pip"
+ exit 1
+ fi
fi
echo "Installing with pip.."
for dep in "${__pip_deps[@]}"; do